Debian Bug report logs - #685186
IA64 (Itanium) Wheezy, ELILO installation failed

version graph

Package: elilo; Maintainer for elilo is Debian QA Group <packages@qa.debian.org>; Source for elilo is src:elilo.

Reported by: Stephan Schreiber <info@fs-driver.org>

Date: Fri, 17 Aug 2012 20:12:01 UTC

Severity: serious

Tags: moreinfo, patch

Fixed in version elilo/3.14-2

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#685186; Package installation-reports. (Fri, 17 Aug 2012 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 17 Aug 2012 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: submit@bugs.debian.org
Subject: IA64 (Itanium) Wheezy, ELILO installation failed
Date: Fri, 17 Aug 2012 22:03:01 +0200
Package: installation-reports


Boot method: netinst CD
Image version: a self build netinst CD which bases on the data of  
Wheezy beta-1 and the patch proposals of Bug#678883 and Bug#679545
Date: Aug. 17, 2012

Machine: Dell PowerEdge 3250
Processor: 2x Itanium Madison 1.5GHz 6M
Memory: 4G
Partitions:

Output of lspci -knn (or lspci -nn):

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [ ]

Comments/Problems:

A big red dialog box appears:
ELILO installation failed
Running /usr/sbin/elilo failed with error code "1"


In var/log/installer/syslog you can find the lines:

Aug 17 11:48:21 in-target: Unpacking dosfstools (from  
.../dosfstools_3.0.13-1_ia64.deb) ...
Aug 17 11:48:21 in-target: Selecting previously unselected package efibootmgr.
Aug 17 11:48:21 in-target: Unpacking efibootmgr (from  
.../efibootmgr_0.5.4-3_ia64.deb) ...
Aug 17 11:48:22 in-target: Selecting previously unselected package elilo.
Aug 17 11:48:22 in-target: Unpacking elilo (from  
.../archives/elilo_3.14-1_ia64.deb) ...
Aug 17 11:48:22 in-target: Processing triggers for man-db ...
Aug 17 11:48:23 in-target: Setting up dosfstools (3.0.13-1) ...
Aug 17 11:48:23 in-target: Setting up efibootmgr (0.5.4-3) ...
Aug 17 11:48:23 in-target: Setting up elilo (3.14-1) ...
Aug 17 11:48:26 kernel: [ 1030.536081] ISO 9660 Extensions: Microsoft  
Joliet Level 3
Aug 17 11:48:26 kernel: [ 1030.648534] ISO 9660 Extensions: RRIP_1991A
Aug 17 11:48:27 kernel: [ 1031.160221] ISO 9660 Extensions: Microsoft  
Joliet Level 3
Aug 17 11:48:27 kernel: [ 1031.266759] ISO 9660 Extensions: RRIP_1991A
Aug 17 11:48:27 kernel: [ 1031.458003] FAT-fs (sda1): IO charset  
iso8859-1 not found
Aug 17 11:48:33 main-menu[221]: (process:9280): mount: wrong fs type,  
bad option, bad superblock on /dev/sda1,
Aug 17 11:48:33 main-menu[221]: (process:9280):        missing  
codepage or helper program, or other error
Aug 17 11:48:33 main-menu[221]: (process:9280):        In some cases  
useful info is found in syslog - try
Aug 17 11:48:33 main-menu[221]: (process:9280):        dmesg | tail  or so
Aug 17 11:48:33 main-menu[221]: (process:9280):
Aug 17 11:48:33 main-menu[221]: (process:9280): elilo: An error  
occured mounting /dev/sda1
Aug 17 11:48:33 main-menu[221]: WARNING **: Configuring  
'elilo-installer' failed with error code 1
Aug 17 11:48:33 main-menu[221]: WARNING **: Menu item  
'elilo-installer' failed.



Kind regards
Stephan Schreiber








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#685186; Package installation-reports. (Sun, 19 Aug 2012 15:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 19 Aug 2012 15:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 685186@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: 685186@bugs.debian.org
Subject: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Sun, 19 Aug 2012 17:07:00 +0200
[Message part 1 (text/plain, inline)]
Source: kernel-image-3.2.0-3-itanium-di




The failed command is in debian/elilo.sh:

fstype=vfat
....
mount -t "$fstype" -o  
codepage=437,iocharset=iso8859-1,rw,noexec,umask=077$loop "$boot"  
"$TMP/bootstrap.$$"
what is perfect to mount an EFI system partition - much better than UTF-8.

A mount -t vfat -o codepage=437,iocharset=iso8859-1 needs the kernel  
modules nls_iso8859-1, nls_cp437, vfat, fat.

I ran the installer again. After the ELILO error message I tried
lsmod
on the shell; the most importand lines that it reported were:
nls_cp437
vfat
fat
nls_utf8

The nls_iso8859-1 module was not loaded.


The existing fat-modules-3.2.0-3-itanium-di.udeb includes the  
following modules:
nls_utf8.ko
nls_cp437.ko
fat.ko
vfat.ko

There isn't a nls_iso8859-1.ko.

The kernel config is right, linux-3.2.21/debian/config/config:

CONFIG_MSDOS_FS=m
CONFIG_VFAT_FS=m
CONFIG_FAT_DEFAULT_CODEPAGE=437
CONFIG_FAT_DEFAULT_IOCHARSET="utf8"

CONFIG_NLS_CODEPAGE_437=m
CONFIG_NLS_ISO8859_1=m

The nls_iso8859-1.ko isn't included in the  
fat-modules-3.2.0-3-itanium-di.udeb for the installer, that's the only  
problem.
A patch proposal is attached

I'm still using Lenny which has a 'debootstrapped' Wheezy userland on  
a chroot.
I built the kernel-image-3.2.0-3-itanium-di package again; copied the  
generated udebs into the build/localudebs directory of the  
debian-installer and build the debian-installer package after that. I  
extracted the generated debian-installer-images_20120712-ia64.tar.gz  
to a local mirror which already had files from the Wheezy beta-1. I  
built a set of netinst CDs with the debian-cd packge which used the  
mentioned local mirror.
The installer could install ELILO after that.


Kind regards
Stephan Schreiber



[add_iso8859_1.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#685186; Package installation-reports. (Sun, 19 Aug 2012 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 19 Aug 2012 15:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 685186@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org
Cc: elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Sun, 19 Aug 2012 17:38:27 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 elilo

On Sun, Aug 19, 2012 at 17:07:00 +0200, Stephan Schreiber wrote:

> The failed command is in debian/elilo.sh:
> 
> fstype=vfat
> ....
> mount -t "$fstype" -o
> codepage=437,iocharset=iso8859-1,rw,noexec,umask=077$loop "$boot"
> "$TMP/bootstrap.$$"
> what is perfect to mount an EFI system partition - much better than UTF-8.
> 
> A mount -t vfat -o codepage=437,iocharset=iso8859-1 needs the kernel
> modules nls_iso8859-1, nls_cp437, vfat, fat.
> 
> I ran the installer again. After the ELILO error message I tried
> lsmod
> on the shell; the most importand lines that it reported were:
> nls_cp437
> vfat
> fat
> nls_utf8
> 
> The nls_iso8859-1 module was not loaded.
> 
> 
> The existing fat-modules-3.2.0-3-itanium-di.udeb includes the
> following modules:
> nls_utf8.ko
> nls_cp437.ko
> fat.ko
> vfat.ko
> 
> There isn't a nls_iso8859-1.ko.
> 

< bwh> 'iocharset=iso8859-1' is a bug; Linux standard character encoding
       is UTF-8
< bwh> for filenames, at least
< bwh> So, assign to whatever contains the debian/elilo.sh script

So reassigning to elilo.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'installation-reports' to 'elilo'. Request was from Julien Cristau <jcristau@debian.org> to 685186-submit@bugs.debian.org. (Sun, 19 Aug 2012 15:39:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from info@fs-driver.org to control@bugs.debian.org. (Thu, 06 Sep 2012 17:03:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'elilo' to 'kernel-image-3.2.0-3-itanium-di'. Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 10:15:07 GMT) Full text and rfc822 format available.

Added indication that 685186 affects elilo-installer Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 10:15:08 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 10:15:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 10:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package kernel-image-3.2.0-3-itanium-di. (Mon, 08 Oct 2012 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Oct 2012 23:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 685186@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stephan Schreiber <info@fs-driver.org>
Cc: Julien Cristau <jcristau@debian.org>, 685186@bugs.debian.org, elilo@packages.debian.org
Subject: Re: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Mon, 8 Oct 2012 16:15:22 -0700
tags 685186 + moreinfo
# letting version tracking do its work
tags 685186 - wheezy
# if I understand correctly, it is still possible to use the kernel on
# itanium, so the package is not unusable
severity 685186 important
quit

Hi,

Julien Cristau wrote:
> On Sun, Aug 19, 2012 at 17:07:00 +0200, Stephan Schreiber wrote:

>> The failed command is in debian/elilo.sh:
>>
>> fstype=vfat
>> ....
>> mount -t "$fstype" -o
>> codepage=437,iocharset=iso8859-1,rw,noexec,umask=077$loop "$boot"
>> "$TMP/bootstrap.$$"
>> what is perfect to mount an EFI system partition - much better than UTF-8.
[...]
> < bwh> 'iocharset=iso8859-1' is a bug; Linux standard character encoding
>        is UTF-8
> < bwh> for filenames, at least
> < bwh> So, assign to whatever contains the debian/elilo.sh script

On Wednesday, Stephan Schreiber wrote:

> tags 685186 + patch
> reassign 685186 kernel-image-3.2.0-3-itanium-di
> affects 685186 + elilo-installer
> severity 685186 grave
> tags 685186 + wheezy

Could you say a little more?  Where did Ben and Julien go wrong in the
previous analysis?

Thanks,
Jonathan



Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 08 Oct 2012 23:18:05 GMT) Full text and rfc822 format available.

Removed tag(s) wheezy. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 08 Oct 2012 23:18:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 08 Oct 2012 23:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package kernel-image-3.2.0-3-itanium-di. (Tue, 09 Oct 2012 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 19:12:03 GMT) Full text and rfc822 format available.

Message #43 received at 685186@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Julien Cristau <jcristau@debian.org>, 685186@bugs.debian.org, elilo@packages.debian.org
Subject: Re: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 09 Oct 2012 21:09:46 +0200
I'm surprised that I could shock you with the severity level :-).

The bug prevents the script from installing ELILO on the EFI System  
partition (ESP) when a user attempts to install Debian with a Debian  
installation CD or DVD.
The user won't be able to workaround this on an opened console if he  
isn't very familiar how to install ELILO manually including writing  
the appropriate ELILO configuration.
The bug occurs *always*.
The bug occurs on *any* ia64 machine.
With this bug the Debian installer won't bring up a bootable system.
What means: it renders *any* ia64 Debian installation CD or DVD useless.
Actually you can stop building ia64 iso images unless this bug is fixed!

So what severity level is the right one for that?
Debian's "Information regarding the bug processing system for package  
maintainers and bug triagers" [1] states:

"grave
    makes the package in question unusable or mostly so, or causes  
data loss, or introduces a security hole allowing access to the  
accounts of users who use the package."

I think "makes the package in question unusable" is true for this bug.

The severity what you suggest is:

"important
    a bug which has a major effect on the usability of a package,  
without rendering it completely unusable to everyone."

This is not true for the bug. This wouldn't be a release critical bug either.
My conclusion is that the bug should be a release critical one because  
it renders the ia64 iso images useless for everyone: Grave.




The problen is that the debian/elilo.sh script fails to mount the  
(FAT) EFI System partition (ESP) because the nls_iso8859-1.ko module  
is absend.
The question is what package we can blame for that:

1. kernel-image-3.2.0-3-itanium-di
It builds two kernel images (Itanium, McKinley) and some udebs which  
are needed for the Debian installer. The  
fat-modules-3.2.0-3-itanium-di_3.2.23-1_ia64.udeb is one of them.

2. elilo
The mentioned debian/elilo.sh belongs to this package.


In my opinion you can say that the  
fat-modules-3.2.0-3-itanium-di_3.2.23-1_ia64.udeb lacks the  
nls_iso8859-1 module, so debian/elilo.sh is not able to do its work.
Since fat-modules-3.2.0-3-itanium-di_3.2.23-1_ia64.udeb is build by  
the kernel-image-3.2.0-3-itanium-di package, the bug should be  
assigned here.



Julien Cristau wrote:
> < bwh> 'iocharset=iso8859-1' is a bug; Linux standard character encoding
>        is UTF-8
> < bwh> for filenames, at least
> < bwh> So, assign to whatever contains the debian/elilo.sh script

I think mounting FAT using UTF-8 isn't wise at all. debian/elilo.sh is  
perfect since it specifies the right charset.
If you would change the script to use UTF-8 (explicit or implicit by  
the default), you would make things worse.

I don't want to start a discussion about the UTF-8 default for FAT  
here but you can read, for example, in the "Using UTF-8 with Gentoo"  
[2] of the Gentoo project:
"You should avoid setting Default iocharset for fat to UTF-8, as it is  
not recommended."

The reason is that you will experience 'glyphed' characters in  
filenames when you exchange FAT volumes with Windows when you mount  
FAT using UTF-8 on Linux. Since the user would run into trouble, using  
UTF-8 for FAT isn't wise. Older Linux kernels report a warning message  
when you mount FAT with UTF-8.
So assigning the bug to the elilo package would be wrong.
The kernel-image for normal operation has iso8859-1, why the kernel  
for the installer shouldn't have it either?




The only mistake I have made was:
"affects 685186 elilo-installer".
It should have been
"affects 685186 elilo".



I think the discussion about severity levels of bugs is academic. Ones  
could have different opinions about that.
Much better would be fixing the bug since it is a real show stopper.

It is just a change of one code line...


Stephan




[1] http://www.debian.org/Bugs/Developer.en.html
[2] http://www.gentoo.org/doc/en/utf-8.xml#doc_chap3





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package kernel-image-3.2.0-3-itanium-di. (Tue, 09 Oct 2012 19:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 19:57:07 GMT) Full text and rfc822 format available.

Message #48 received at 685186@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stephan Schreiber <info@fs-driver.org>
Cc: Julien Cristau <jcristau@debian.org>, 685186@bugs.debian.org, elilo@packages.debian.org
Subject: Re: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 9 Oct 2012 12:55:08 -0700
Stephan Schreiber wrote:

> In my opinion you can say that the
> fat-modules-3.2.0-3-itanium-di_3.2.23-1_ia64.udeb lacks the nls_iso8859-1
> module, so debian/elilo.sh is not able to do its work.
> Since fat-modules-3.2.0-3-itanium-di_3.2.23-1_ia64.udeb is build by the
> kernel-image-3.2.0-3-itanium-di package, the bug should be assigned here.

So the next step is either to convince Debian's kernel maintainers
that it is worth including that module in the installer, or the elilo
maintainers that debian/elilo.sh should not use iocharset=iso8859-1,
or both.

[...]
> I think mounting FAT using UTF-8 isn't wise at all.

In general, for what it's worth I disagree about that, but I wouldn't
be surprised if there are other considerations in this particular case
(if so, what are they?).

Hope that helps,
Jonathan



Bug reassigned from package 'kernel-image-3.2.0-3-itanium-di' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 20:09:05 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.23-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 20:09:06 GMT) Full text and rfc822 format available.

Removed indication that 685186 affects elilo-installer Added indication that 685186 affects elilo Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 20:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package src:linux. (Tue, 09 Oct 2012 20:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 20:45:02 GMT) Full text and rfc822 format available.

Message #59 received at 685186@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 9 Oct 2012 21:42:30 +0100
On Tue, Oct 09, 2012 at 09:09:46PM +0200, Stephan Schreiber wrote:
[...]
> Julien Cristau wrote:
> >< bwh> 'iocharset=iso8859-1' is a bug; Linux standard character encoding
> >       is UTF-8
> >< bwh> for filenames, at least
> >< bwh> So, assign to whatever contains the debian/elilo.sh script
> 
> I think mounting FAT using UTF-8 isn't wise at all. debian/elilo.sh
> is perfect since it specifies the right charset.
[...]

The encoding used *on disk* is always UCS-2 for VFAT long names and
is controlled by the 'codepage' option (default = cp437) for short
names.

The 'iocharset' option controls the encoding that userland sees, which
should be UTF-8 for all filesystems under Linux, no exceptions, and
definitely not dependent on locale (which the kernel doesn't know
anything about).  I realise this is not the default, but that's an
historical accident.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package src:linux. (Tue, 09 Oct 2012 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 21:03:06 GMT) Full text and rfc822 format available.

Message #64 received at 685186@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 9 Oct 2012 21:59:38 +0100
On Tue, Oct 09, 2012 at 09:09:46PM +0200, Stephan Schreiber wrote:
[...]
> I don't want to start a discussion about the UTF-8 default for FAT
> here but you can read, for example, in the "Using UTF-8 with Gentoo"
> [2] of the Gentoo project:
> "You should avoid setting Default iocharset for fat to UTF-8, as it
> is not recommended."
> 
> The reason is that you will experience 'glyphed' characters in
> filenames when you exchange FAT volumes with Windows when you mount
> FAT using UTF-8 on Linux.
[...]

This is what happens if you have applications that assume that
filename encoding matches the locale, and the locale encoding is
Latin-1 (or something very similar).  You can work around those
applications by mounting FAT/VFAT volumes with iocharset set to match
the locale those applications run in.  (But if you have a mix of
applications that assume different filename encodings then you lose.)

Sadly, basic commands like ls have this problem and probably can't
be changed due to compatibility concerns.  Using a UTF-8 locale
(which I think the installer always selects by default) and
iocharset=utf8 is therefore likely to have the best result.

None of this is particularly relevant to the EFI boot volume, though,
as all filenames on there should be ASCII-only.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package src:linux. (Tue, 16 Oct 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Oct 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #69 received at 685186@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 685186@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 16 Oct 2012 21:34:16 +0200
Jonathan Nieder wrote:

> So the next step is either to convince Debian's kernel maintainers
> that it is worth including that module in the installer, or the elilo
> maintainers that debian/elilo.sh should not use iocharset=iso8859-1,
> or both.

Life is hard, I can tell you. I hoped you would do it voluntary :-).
What I want you to do isn't a big thing. Just to allow something,  
which is possible with the Debian kernel, also in the d-i.


Ben Hutchings wrote:

> None of this is particularly relevant to the EFI boot volume, though,
> as all filenames on there should be ASCII-only.

You are right. It doesn't really matter how this bug is fixed.

Unfortunately there isn't any message of the elilo maintainer yet.


Jonathan Nieder wrote:

> In general, for what it's worth I disagree about that, but I wouldn't
> be surprised if there are other considerations in this particular case
> (if so, what are they?).

It seems that you have already decided how the bug will be fixed.

If you really want a change of elilo.sh, please could *you* do that (nmu).
There wasn'a any activity on the elilo package for months...

Stephan






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package src:linux. (Tue, 16 Oct 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Oct 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #74 received at 685186@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Stephan Schreiber <info@fs-driver.org>, Ben Hutchings <ben@decadent.org.uk>
Cc: 685186@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 16 Oct 2012 13:51:07 -0600
[Message part 1 (text/plain, inline)]
Stephan Schreiber <info@fs-driver.org> writes:

> Jonathan Nieder wrote:
>
>> So the next step is either to convince Debian's kernel maintainers
>> that it is worth including that module in the installer, or the elilo
>> maintainers that debian/elilo.sh should not use iocharset=iso8859-1,
>> or both.
>
> Life is hard, I can tell you. I hoped you would do it voluntary :-).
> What I want you to do isn't a big thing. Just to allow something,  
> which is possible with the Debian kernel, also in the d-i.
>
>
> Ben Hutchings wrote:
>
>> None of this is particularly relevant to the EFI boot volume, though,
>> as all filenames on there should be ASCII-only.
>
> You are right. It doesn't really matter how this bug is fixed.
>
> Unfortunately there isn't any message of the elilo maintainer yet.

I guess that's me.  I didn't read the previous email in enough detail to
realize that you expected a reply from me, since the bug was not
assigned to elilo at the time and there were other competent folks in
the CC list.

Reading through the bug log, it appears that you think one choice is to
just have the mount call in the elilo.sh not specify iocharset=iso8859-1?
What might the consequences of doing that be in other contexts?  I
haven't thought about this in years.

> It seems that you have already decided how the bug will be fixed.
>
> If you really want a change of elilo.sh, please could *you* do that (nmu).
> There wasn'a any activity on the elilo package for months...

[shrug]

I'm not actually using elilo anywhere myself at the moment, since I
haven't booted any of my ia64 systems in many months... and none of the
three outstanding bugs against elilo seem particularly urgent.  

If someone wants to offer up patches, I'm happy to apply them and do an
upload.  If there's consensus that I should just drop the iocharset=
specifier and upload a version with just that change targeting wheezy, I
can do that, but it's unlikely to get attention from the release
managers without both an RC bug and an unblock request?

I'm also happy to discuss handing elilo to another DD more likely to
care for it actively if someone wants to volunteer?

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685186; Package src:linux. (Tue, 16 Oct 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Oct 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #79 received at 685186@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bdale Garbee <bdale@gag.com>
Cc: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 16 Oct 2012 21:42:49 +0100
On Tue, Oct 16, 2012 at 01:51:07PM -0600, Bdale Garbee wrote:
> Stephan Schreiber <info@fs-driver.org> writes:
[...]
> > Ben Hutchings wrote:
> >
> >> None of this is particularly relevant to the EFI boot volume, though,
> >> as all filenames on there should be ASCII-only.
> >
> > You are right. It doesn't really matter how this bug is fixed.
> >
> > Unfortunately there isn't any message of the elilo maintainer yet.
> 
> I guess that's me.  I didn't read the previous email in enough detail to
> realize that you expected a reply from me, since the bug was not
> assigned to elilo at the time and there were other competent folks in
> the CC list.
> 
> Reading through the bug log, it appears that you think one choice is to
> just have the mount call in the elilo.sh not specify iocharset=iso8859-1?
> What might the consequences of doing that be in other contexts?  I
> haven't thought about this in years.

'iocharset=iso8859-1' is actually the default; you would need to
override the default by specifying 'iocharset=utf8'.

Given that we don't expect there to be any non-ASCII filenames on the
EFI boot volume, this should have no other effect.
 
[...]
> If someone wants to offer up patches, I'm happy to apply them and do an
> upload.  If there's consensus that I should just drop the iocharset=
> specifier and upload a version with just that change targeting wheezy, I
> can do that, but it's unlikely to get attention from the release
> managers without both an RC bug and an unblock request?
[...]
 
I can reassign this to elilo and you can set severity to serious,
making it RC.  Then you can upload and request unblocking.  Given
that elilo is currently synched between testing and unstable, an
unblock request for a single fix is sure to be accepted.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Bug reassigned from package 'src:linux' to 'elilo'. Request was from bdale@gag.com (Bdale Garbee) to control@bugs.debian.org. (Wed, 17 Oct 2012 04:03:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux/3.2.23-1. Request was from bdale@gag.com (Bdale Garbee) to control@bugs.debian.org. (Wed, 17 Oct 2012 04:03:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from bdale@gag.com (Bdale Garbee) to control@bugs.debian.org. (Wed, 17 Oct 2012 04:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#685186; Package elilo. (Wed, 17 Oct 2012 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Wed, 17 Oct 2012 04:21:03 GMT) Full text and rfc822 format available.

Message #90 received at 685186@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Tue, 16 Oct 2012 22:17:53 -0600
[Message part 1 (text/plain, inline)]
Ben Hutchings <ben@decadent.org.uk> writes:

> 'iocharset=iso8859-1' is actually the default; you would need to
> override the default by specifying 'iocharset=utf8'.

Ah, right.  Yes, in that case I agree we can just lose the explicit
iocharset setting in elilo.sh.

> I can reassign this to elilo and you can set severity to serious,
> making it RC.  Then you can upload and request unblocking.  Given
> that elilo is currently synched between testing and unstable, an
> unblock request for a single fix is sure to be accepted.

Actually, I'll take care of it.  I'm on airplanes tomorrow, so I'm going
to just do it all right now before I call it a night.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Wed, 17 Oct 2012 11:36:04 GMT) Full text and rfc822 format available.

Notification sent to Stephan Schreiber <info@fs-driver.org>:
Bug acknowledged by developer. (Wed, 17 Oct 2012 11:36:04 GMT) Full text and rfc822 format available.

Message #95 received at 685186-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 685186-close@bugs.debian.org
Subject: Bug#685186: fixed in elilo 3.14-2
Date: Wed, 17 Oct 2012 11:32:53 +0000
Source: elilo
Source-Version: 3.14-2

We believe that the bug you reported is fixed in the latest version of
elilo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated elilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 16 Oct 2012 21:52:16 -0600
Source: elilo
Binary: elilo
Architecture: source i386
Version: 3.14-2
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 elilo      - Bootloader for systems using EFI-based firmware
Closes: 685186
Changes: 
 elilo (3.14-2) unstable; urgency=low
 .
   * remove unnecessary explicit iocharset request in elilo.sh that prevents
     ia64 installations from succeeding, closes: #685186
Checksums-Sha1: 
 86db0ca09fdb687eb495d3e832a6db550186a87c 1802 elilo_3.14-2.dsc
 7ee9d7c4c3f39336c69264b1d4404e7b4a72396c 32118 elilo_3.14-2.debian.tar.gz
 5b2059697c6d211bd8f44f0fd5a4fb618a35d855 215254 elilo_3.14-2_i386.deb
Checksums-Sha256: 
 d1d485b2f6e18d4efaf2dd03525badc21edc878da59dc72e5fba9bbcbc4a9e5c 1802 elilo_3.14-2.dsc
 732aaffdc3214fea2780a556d2e472a8ec1a2a2c4f9984feb86d13179b8b32f6 32118 elilo_3.14-2.debian.tar.gz
 7a125cca49d5b7002309e1f13b3356174f9748caa2f161c72bef2d647fb13b8d 215254 elilo_3.14-2_i386.deb
Files: 
 452fb265e1aa9f653b4607604f45d2e1 1802 admin optional elilo_3.14-2.dsc
 3cb90189bf4b2bcfb635610bc7f1b7b8 32118 admin optional elilo_3.14-2.debian.tar.gz
 6dd4de6f3830ebc2c6dabc87b2bd37e5 215254 admin optional elilo_3.14-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUH4xSTqTYZbAldlBAQoxmA/+OEvS1IckVS8NLk1gDfwQUIwvIGXnZGel
4Xchwh5k7ICq6PgTZZo9XOiniPDgRh42Uh7tMK9lZxP2zzfpCpEViwCQbZYiMWLw
QZ3Pare4ErIQFyV8srN+0uE33vhvgR6coyZ5lV7WvUSijFoZBu664priiMzZc5y2
qQOkEQIrYn3xPN/XYWggDtdMSK4weW+fd5PIHPajZSpwlStjz6xwJ9Io6W7veGKD
wAixlo/xY3RGFHJlU4+UKwgjQbiAwzRMoMAELk8b1rc0H7mgBVGfgQf/sv46sewG
13ZU/d0my8AXWPZ22/D0fkUmhCHjQae+cekjWAV2mxwKCj/6NjoazNhEEcNX+InQ
2G1TQUNnv3jSYTWfqekuxR+efPQM4j+2OXPL/Cjt0yKxJay5IrzvbFalSWgK71+L
Ax5N4frZS/ghp72d6bDnm5HlppojQs641ZBQauXAkJPF+7TohjNi9t58VsjsdnwZ
JUK09xilvn36Rdcmn0ucg34WikB2i2Vktbzkd91Jga7SuetmakFaAp+j+SWKdCLL
f7SmEpxX3iVqkvxSt59EKnbWprJyOdejdr6WvxgGPrQ0wxQLU04fiYf2LHV+tn+v
s5Hf7e5B1HowMUPOU3fA8yF5IMNvK8c7aR6RDX+sNN37ar2C5ivfVPgq5DojvBEv
Xs+uKLmn7iE=
=FB6U
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#685186; Package elilo. (Wed, 17 Oct 2012 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Wed, 17 Oct 2012 20:09:05 GMT) Full text and rfc822 format available.

Message #100 received at 685186@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bdale Garbee <bdale@gag.com>
Cc: Stephan Schreiber <info@fs-driver.org>, 685186@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Julien Cristau <jcristau@debian.org>, elilo@packages.debian.org
Subject: Re: Bug#685186: IA64 (Itanium) Wheezy, ELILO installation failed, patch proposal
Date: Wed, 17 Oct 2012 21:06:21 +0100
On Tue, Oct 16, 2012 at 10:17:53PM -0600, Bdale Garbee wrote:
> Ben Hutchings <ben@decadent.org.uk> writes:
> 
> > 'iocharset=iso8859-1' is actually the default; you would need to
> > override the default by specifying 'iocharset=utf8'.
> 
> Ah, right.  Yes, in that case I agree we can just lose the explicit
> iocharset setting in elilo.sh.

I think you misunderstood what I said.  But that's OK, because
what I said was wrong.

We want iocharset=utf8, but elilo.sh set iocharset=iso8859-1 and
this is also the upstream default.  So I was thinking that elilo.sh
would need to explicitly set iocharset=utf8.  However, the kernel
config in the linux source package changes the default to utf8.
Therefore removing the explicit setting from elilo.sh should be fine.

> > I can reassign this to elilo and you can set severity to serious,
> > making it RC.  Then you can upload and request unblocking.  Given
> > that elilo is currently synched between testing and unstable, an
> > unblock request for a single fix is sure to be accepted.
> 
> Actually, I'll take care of it.  I'm on airplanes tomorrow, so I'm going
> to just do it all right now before I call it a night.

Thanks.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:24:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:43:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.